import { BasicColumn, FormSchema } from '@/components/Table';
//主模块-安全教育列表页
export const formSchema: FormSchema[] = [
  {
    field: 'fillingPeriod',
    labelWidth: '140px',
    label: '填报周期',
    required: true,
    component: 'DatePicker',
    componentProps: {
      placeholder: '选择填报周期',
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
  },
  {
    field: 'trainingTime',
    labelWidth: '140px',
    label: '培训时间',
    required: true,
    component: 'DatePicker',
    componentProps: {
      placeholder: '选择培训时间',
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
  },
  {
    label: '培训主题',
    labelWidth: '140px',
    field: 'trainingTheme',
    required: true,
    component: 'Input',
  },
  {
    label: '培训类型',
    labelWidth: '140px',
    field: 'trainingType',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '类型一',
          value: '类型一',
        },
        {
          label: '类型二',
          value: '类型二',
        },
      ],
      showSearch: true, // 能进行模糊搜索
      allowClear: true, // 允许清除已选内容
    },
  },
  {
    label: '培训形式',
    labelWidth: '140px',
    field: 'trainingFormat',
    required: true,
    component: 'Input',
  },
  {
    field: 'trainingMeet',
    labelWidth: '140px',
    label: '培训会议',
    required: true,
    component: 'Input',
  },
  {
    field: 'trainers',
    labelWidth: '140px',
    label: '培训人员',
    // required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '人员一',
          value: '人员一',
        },
        {
          label: '人员二',
          value: '人员二',
        },
      ],
      showSearch: true, // 能进行模糊搜索
      allowClear: true, // 允许清除已选内容
    },
  },
  {
    label: '学识(合计)',
    labelWidth: '140px',
    field: 'knowledge',
    // required: true,
    component: 'Input',
  },
  {
    label: '人数(人)',
    labelWidth: '140px',
    field: 'numberOfPeople',
    // required: true,
    component: 'Input',
  },
  {
    label: '备注',
    labelWidth: '140px',
    field: 'remark',
    // required: true,
    component: 'Input',
  },
];
export const columns: BasicColumn[] = [
  {
    title: '填报周期',
    dataIndex: 'fillingPeriod',
    width: 150,
  },
  {
    title: '培训时间',
    dataIndex: 'trainingTime',
    width: 150,
  },
  {
    title: '培训类型',
    dataIndex: 'trainingType',
    width: 180,
  },
  {
    title: '培训形式',
    dataIndex: 'trainingFormat',
    width: 180,
  },
  {
    title: '计划会议',
    dataIndex: 'trainingMeet',
    width: 180,
  },
  {
    title: '培训人员',
    dataIndex: 'trainers',
    width: 180,
  },
  {
    title: '学识(合计)',
    dataIndex: 'knowledge',
    width: 180,
  },
  {
    title: '人数',
    dataIndex: 'numberOfPeople',
    width: 180,
  },
  {
    title: '备注',
    dataIndex: 'remark',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'fillingPeriod',
    label: '',
    component: 'DatePicker',
    componentProps: {
      placeholder: '填报周期',
      style: { width: '100%' },
      valueFormat: 'YYYY-MM-DD',
      format: 'YYYY-MM-DD',
    },
    colProps: { span: 4 },
  },
  {
    field: 'trainers',
    label: '',
    component: 'Select',
    componentProps: {
      options: [
        { label: '人员一', value: '人员一' },
        { label: '人员二', value: '人员二' },
      ],
      placeholder: '培训人员',
      showSearch: true, // 能进行模糊搜索
      allowClear: true, // 允许清除已选内容
    },
    colProps: { span: 4 },
  },
];
